Loading...
Searching...
No Matches
AVPacketSideData Struct Reference
AVPacketSideData

This structure stores auxiliary information for decoding, presenting, or otherwise processing the coded stream. More...

`#include <libavcodec/packet.h>`

## Data Fields

uint8_t * | data
size_t | size
enum AVPacketSideDataType | type

## Detailed Description

This structure stores auxiliary information for decoding, presenting, or otherwise processing the coded stream.

It is typically exported by demuxers and encoders and can be fed to decoders and muxers either in a per packet basis, or as global side data (applying to the entire coded stream).

Global side data is handled as follows:

- During demuxing, it may be exported through AVStream's codec parameters, which can then be passed as input to decoders through the decoder context's side data, for initialization.
- For muxing, it can be fed through AVStream's codec parameters, typically the output of encoders through the encoder context's side data, for initialization.

Packet specific side data is handled as follows:

- During demuxing, it may be exported through AVPacket's side data, which can then be passed as input to decoders.
- For muxing, it can be fed through AVPacket's side data", typically the output of encoders.

Different modules may accept or export different types of side data depending on media type and codec. Refer to AVPacketSideDataType for a list of defined types and where they may be found or used.

Definition at line 390 of file packet.h.

## Field Documentation

## data

uint8_t* AVPacketSideData::data

Definition at line 391 of file packet.h.

## size

size_t AVPacketSideData::size

Definition at line 392 of file packet.h.

## type

enum AVPacketSideDataType AVPacketSideData::type

Definition at line 393 of file packet.h.

The documentation for this struct was generated from the following file:

- libavcodec/packet.h